Index: cpukit/librpc/src/rpc/auth_none.c
===================================================================
--- cpukit/librpc/src/rpc/auth_none.c	(revision 5426ceda121ea525684166c08450d4a4546141f9)
+++ cpukit/librpc/src/rpc/auth_none.c	(revision a66bc0f761fcc23e27977921cfe583d1c9ba3e82)
@@ -72,5 +72,5 @@
 
 AUTH *
-authnone_create()
+authnone_create(void)
 {
 	struct authnone_private *ap = authnone_private;
Index: cpukit/librpc/src/rpc/authunix_prot.c
===================================================================
--- cpukit/librpc/src/rpc/authunix_prot.c	(revision 5426ceda121ea525684166c08450d4a4546141f9)
+++ cpukit/librpc/src/rpc/authunix_prot.c	(revision a66bc0f761fcc23e27977921cfe583d1c9ba3e82)
@@ -51,7 +51,7 @@
  */
 bool_t
-xdr_authunix_parms(xdrs, p)
-	register XDR *xdrs;
-	register struct authunix_parms *p;
+xdr_authunix_parms(
+	XDR *xdrs,
+	struct authunix_parms *p)
 {
 
Index: cpukit/librpc/src/rpc/bindresvport.c
===================================================================
--- cpukit/librpc/src/rpc/bindresvport.c	(revision 5426ceda121ea525684166c08450d4a4546141f9)
+++ cpukit/librpc/src/rpc/bindresvport.c	(revision a66bc0f761fcc23e27977921cfe583d1c9ba3e82)
@@ -58,7 +58,7 @@
  */
 int
-bindresvport(sd, sin)
-	int sd;
-	struct sockaddr_in *sin;
+bindresvport(
+	int sd,
+	struct sockaddr_in *sin)
 {
 	return bindresvport_sa(sd, (struct sockaddr *)sin);
@@ -69,7 +69,7 @@
  */
 int
-bindresvport_sa(sd, sa)
-	int sd;
-	struct sockaddr *sa;
+bindresvport_sa(
+	int sd,
+	struct sockaddr *sa)
 {
 	int old, error, af;
Index: cpukit/librpc/src/rpc/clnt_generic.c
===================================================================
--- cpukit/librpc/src/rpc/clnt_generic.c	(revision 5426ceda121ea525684166c08450d4a4546141f9)
+++ cpukit/librpc/src/rpc/clnt_generic.c	(revision a66bc0f761fcc23e27977921cfe583d1c9ba3e82)
@@ -49,9 +49,9 @@
  */
 CLIENT *
-clnt_create(hostname, prog, vers, proto)
-	char *hostname;
-	u_long prog;
-	u_long vers;
-	char *proto;
+clnt_create(
+	char *hostname,
+	u_long prog,
+	u_long vers,
+	char *proto)
 {
 	struct hostent *h;
Index: cpukit/librpc/src/rpc/clnt_udp.c
===================================================================
--- cpukit/librpc/src/rpc/clnt_udp.c	(revision 5426ceda121ea525684166c08450d4a4546141f9)
+++ cpukit/librpc/src/rpc/clnt_udp.c	(revision a66bc0f761fcc23e27977921cfe583d1c9ba3e82)
@@ -107,12 +107,12 @@
  */
 CLIENT *
-clntudp_bufcreate(raddr, program, version, wait, sockp, sendsz, recvsz)
-	struct sockaddr_in *raddr;
-	u_long program;
-	u_long version;
-	struct timeval wait;
-	register int *sockp;
-	u_int sendsz;
-	u_int recvsz;
+clntudp_bufcreate(
+	struct sockaddr_in *raddr,
+	u_long program,
+	u_long version,
+	struct timeval wait,
+	int *sockp,
+	u_int sendsz,
+	u_int recvsz)
 {
 	CLIENT *cl;
@@ -201,10 +201,10 @@
 
 CLIENT *
-clntudp_create(raddr, program, version, wait, sockp)
-	struct sockaddr_in *raddr;
-	u_long program;
-	u_long version;
-	struct timeval wait;
-	register int *sockp;
+clntudp_create(
+	struct sockaddr_in *raddr,
+	u_long program,
+	u_long version,
+	struct timeval wait,
+	int *sockp)
 {
 
Index: cpukit/librpc/src/rpc/getrpcent.c
===================================================================
--- cpukit/librpc/src/rpc/getrpcent.c	(revision 5426ceda121ea525684166c08450d4a4546141f9)
+++ cpukit/librpc/src/rpc/getrpcent.c	(revision a66bc0f761fcc23e27977921cfe583d1c9ba3e82)
@@ -87,6 +87,5 @@
 
 struct rpcent *
-getrpcbynumber(number)
-	register int number;
+getrpcbynumber(int number)
 {
 	register struct rpcdata *d = _rpcdata();
@@ -132,6 +131,5 @@
 
 struct rpcent *
-getrpcbyname(name)
-	char *name;
+getrpcbyname(char *name)
 {
 	struct rpcent *rpc = NULL;
@@ -153,6 +151,5 @@
 
 void
-setrpcent(f)
-	int f;
+setrpcent(int f)
 {
 	register struct rpcdata *d = _rpcdata();
@@ -178,5 +175,5 @@
 
 void
-endrpcent()
+endrpcent(void)
 {
 	register struct rpcdata *d = _rpcdata();
@@ -201,5 +198,5 @@
 
 struct rpcent *
-getrpcent()
+getrpcent(void)
 {
 	register struct rpcdata *d = _rpcdata();
Index: cpukit/librpc/src/rpc/netname.c
===================================================================
--- cpukit/librpc/src/rpc/netname.c	(revision 5426ceda121ea525684166c08450d4a4546141f9)
+++ cpukit/librpc/src/rpc/netname.c	(revision a66bc0f761fcc23e27977921cfe583d1c9ba3e82)
@@ -66,6 +66,5 @@
  */
 int
-getnetname(name)
-	char name[MAXNETNAMELEN+1];
+getnetname(char name[MAXNETNAMELEN+1])
 {
 	uid_t uid;
@@ -84,8 +83,8 @@
  */
 int
-user2netname(netname, uid, domain)
-	char netname[MAXNETNAMELEN + 1];
-	uid_t uid;
-	char *domain;
+user2netname(
+	char netname[MAXNETNAMELEN + 1],
+	uid_t uid,
+	char *domain)
 {
 	char *dfltdom;
@@ -111,8 +110,8 @@
  */
 int
-host2netname(netname, host, domain)
-	char netname[MAXNETNAMELEN + 1];
-	char *host;
-	char *domain;
+host2netname(
+	char netname[MAXNETNAMELEN + 1],
+	char *host,
+	char *domain)
 {
 	char *dfltdom;
Index: cpukit/librpc/src/rpc/netnamer.c
===================================================================
--- cpukit/librpc/src/rpc/netnamer.c	(revision 5426ceda121ea525684166c08450d4a4546141f9)
+++ cpukit/librpc/src/rpc/netnamer.c	(revision a66bc0f761fcc23e27977921cfe583d1c9ba3e82)
@@ -69,10 +69,10 @@
  */
 int
-netname2user(netname, uidp, gidp, gidlenp, gidlist)
-	char            netname[MAXNETNAMELEN + 1];
-	uid_t            *uidp;
-	gid_t            *gidp;
-	int            *gidlenp;
-	gid_t	       *gidlist;
+netname2user(
+	char            netname[MAXNETNAMELEN + 1],
+	uid_t            *uidp,
+	gid_t            *gidp,
+	int            *gidlenp,
+	gid_t	       *gidlist)
 {
 	char           *p;
@@ -149,7 +149,7 @@
 
 static int
-_getgroups(uname, groups)
-	char           *uname;
-	gid_t          groups[NGROUPS];
+_getgroups(
+	char           *uname,
+	gid_t          groups[NGROUPS])
 {
 	gid_t           ngroups = 0;
@@ -190,8 +190,8 @@
  */
 int
-netname2host(netname, hostname, hostlen)
-	char            netname[MAXNETNAMELEN + 1];
-	char           *hostname;
-	int             hostlen;
+netname2host(
+	char            netname[MAXNETNAMELEN + 1],
+	char           *hostname,
+	int             hostlen)
 {
 	int             err;
@@ -239,6 +239,7 @@
  */
 int
-getnetid(key, ret)
-	char           *key, *ret;
+getnetid(
+	char *key, 
+	char *ret)
 {
 	char            buf[1024];	/* big enough */
Index: cpukit/librpc/src/rpc/pmap_clnt.c
===================================================================
--- cpukit/librpc/src/rpc/pmap_clnt.c	(revision 5426ceda121ea525684166c08450d4a4546141f9)
+++ cpukit/librpc/src/rpc/pmap_clnt.c	(revision a66bc0f761fcc23e27977921cfe583d1c9ba3e82)
@@ -61,9 +61,9 @@
  */
 bool_t
-pmap_set(program, version, protocol, port)
-	u_long program;
-	u_long version;
-	int protocol;
-	int port;    /* was u_short but changed to match prototype */
+pmap_set(
+	u_long program,
+	u_long version,
+	int protocol,
+	int port)    /* was u_short but changed to match prototype */
 {
 	struct sockaddr_in myaddress;
@@ -110,7 +110,7 @@
  */
 bool_t
-pmap_unset(program, version)
-	u_long program;
-	u_long version;
+pmap_unset(
+	u_long program,
+	u_long version)
 {
 	struct sockaddr_in myaddress;
Index: cpukit/librpc/src/rpc/pmap_getmaps.c
===================================================================
--- cpukit/librpc/src/rpc/pmap_getmaps.c	(revision 5426ceda121ea525684166c08450d4a4546141f9)
+++ cpukit/librpc/src/rpc/pmap_getmaps.c	(revision a66bc0f761fcc23e27977921cfe583d1c9ba3e82)
@@ -61,6 +61,5 @@
  */
 struct pmaplist *
-pmap_getmaps(address)
-	 struct sockaddr_in *address;
+pmap_getmaps(struct sockaddr_in *address)
 {
 	struct pmaplist *head = (struct pmaplist *)NULL;
Index: cpukit/librpc/src/rpc/pmap_getport.c
===================================================================
--- cpukit/librpc/src/rpc/pmap_getport.c	(revision 5426ceda121ea525684166c08450d4a4546141f9)
+++ cpukit/librpc/src/rpc/pmap_getport.c	(revision a66bc0f761fcc23e27977921cfe583d1c9ba3e82)
@@ -58,9 +58,9 @@
  */
 u_short
-pmap_getport(address, program, version, protocol)
-	struct sockaddr_in *address;
-	u_long program;
-	u_long version;
-	u_int protocol;
+pmap_getport(
+	struct sockaddr_in *address,
+	u_long program,
+	u_long version,
+	u_int protocol )
 {
 	u_short port = 0;
Index: cpukit/librpc/src/rpc/pmap_prot.c
===================================================================
--- cpukit/librpc/src/rpc/pmap_prot.c	(revision 5426ceda121ea525684166c08450d4a4546141f9)
+++ cpukit/librpc/src/rpc/pmap_prot.c	(revision a66bc0f761fcc23e27977921cfe583d1c9ba3e82)
@@ -47,7 +47,7 @@
 
 bool_t
-xdr_pmap(xdrs, regs)
-	XDR *xdrs;
-	struct pmap *regs;
+xdr_pmap(
+	XDR *xdrs,
+	struct pmap *regs)
 {
 
Index: cpukit/librpc/src/rpc/pmap_prot2.c
===================================================================
--- cpukit/librpc/src/rpc/pmap_prot2.c	(revision 5426ceda121ea525684166c08450d4a4546141f9)
+++ cpukit/librpc/src/rpc/pmap_prot2.c	(revision a66bc0f761fcc23e27977921cfe583d1c9ba3e82)
@@ -85,7 +85,7 @@
  */
 bool_t
-xdr_pmaplist(xdrs, rp)
-	register XDR *xdrs;
-	register struct pmaplist **rp;
+xdr_pmaplist(
+	XDR *xdrs,
+	struct pmaplist **rp)
 {
 	/*
Index: cpukit/librpc/src/rpc/rpc_callmsg.c
===================================================================
--- cpukit/librpc/src/rpc/rpc_callmsg.c	(revision 5426ceda121ea525684166c08450d4a4546141f9)
+++ cpukit/librpc/src/rpc/rpc_callmsg.c	(revision a66bc0f761fcc23e27977921cfe583d1c9ba3e82)
@@ -50,7 +50,7 @@
  */
 bool_t
-xdr_callmsg(xdrs, cmsg)
-	register XDR *xdrs;
-	register struct rpc_msg *cmsg;
+xdr_callmsg(
+	XDR *xdrs,
+	struct rpc_msg *cmsg)
 {
 	register int32_t *buf;
Index: cpukit/librpc/src/rpc/svc_run.c
===================================================================
--- cpukit/librpc/src/rpc/svc_run.c	(revision 5426ceda121ea525684166c08450d4a4546141f9)
+++ cpukit/librpc/src/rpc/svc_run.c	(revision a66bc0f761fcc23e27977921cfe583d1c9ba3e82)
@@ -49,5 +49,5 @@
 
 void
-svc_run()
+svc_run(void)
 {
 	fd_set *fds;
Index: cpukit/librpc/src/xdr/xdr.c
===================================================================
--- cpukit/librpc/src/xdr/xdr.c	(revision 5426ceda121ea525684166c08450d4a4546141f9)
+++ cpukit/librpc/src/xdr/xdr.c	(revision a66bc0f761fcc23e27977921cfe583d1c9ba3e82)
@@ -72,7 +72,7 @@
  */
 void
-xdr_free(proc, objp)
-	xdrproc_t proc;
-	char *objp;
+xdr_free(
+	xdrproc_t proc,
+	char *objp)
 {
 	XDR x;
@@ -86,7 +86,5 @@
  */
 bool_t
-xdr_void(/* xdrs, addr */)
-	/* XDR *xdrs; */
-	/* caddr_t addr; */
+xdr_void(void)
 {
 
@@ -99,7 +97,7 @@
  */
 bool_t
-xdr_int(xdrs, ip)
-	XDR *xdrs;
-	int *ip;
+xdr_int(
+	XDR *xdrs,
+	int *ip)
 {
 	long l;
@@ -129,7 +127,7 @@
  */
 bool_t
-xdr_u_int(xdrs, up)
-	XDR *xdrs;
-	u_int *up;
+xdr_u_int(
+	XDR *xdrs,
+	u_int *up)
 {
 	u_long l;
@@ -161,7 +159,7 @@
  */
 bool_t
-xdr_long(xdrs, lp)
-	XDR *xdrs;
-	long *lp;
+xdr_long(
+	XDR *xdrs,
+	long *lp)
 {
 	switch (xdrs->x_op) {
@@ -182,7 +180,7 @@
  */
 bool_t
-xdr_u_long(xdrs, ulp)
-	XDR *xdrs;
-	u_long *ulp;
+xdr_u_long(
+	XDR *xdrs,
+	u_long *ulp)
 {
 	switch (xdrs->x_op) {
@@ -204,7 +202,7 @@
  */
 bool_t
-xdr_int32_t(xdrs, int32_p)
-	XDR *xdrs;
-	int32_t *int32_p;
+xdr_int32_t(
+	XDR *xdrs,
+	int32_t *int32_p)
 {
 	long l;
@@ -235,7 +233,7 @@
  */
 bool_t
-xdr_u_int32_t(xdrs, u_int32_p)
-	XDR *xdrs;
-	u_int32_t *u_int32_p;
+xdr_u_int32_t(
+	XDR *xdrs,
+	u_int32_t *u_int32_p)
 {
 	u_long l;
@@ -264,7 +262,7 @@
  */
 bool_t
-xdr_short(xdrs, sp)
-	XDR *xdrs;
-	short *sp;
+xdr_short(
+	XDR *xdrs,
+	short *sp)
 {
 	long l;
@@ -294,7 +292,7 @@
  */
 bool_t
-xdr_u_short(xdrs, usp)
-	XDR *xdrs;
-	u_short *usp;
+xdr_u_short(
+	XDR *xdrs,
+	u_short *usp)
 {
 	u_long l;
@@ -325,7 +323,7 @@
  */
 bool_t
-xdr_int16_t(xdrs, int16_p)
-	XDR *xdrs;
-	int16_t *int16_p;
+xdr_int16_t(
+	XDR *xdrs,
+	int16_t *int16_p)
 {
 	long l;
@@ -355,7 +353,7 @@
  */
 bool_t
-xdr_u_int16_t(xdrs, u_int16_p)
-	XDR *xdrs;
-	u_int16_t *u_int16_p;
+xdr_u_int16_t(
+	XDR *xdrs,
+	u_int16_t *u_int16_p)
 {
 	u_long l;
@@ -386,7 +384,7 @@
  */
 bool_t
-xdr_char(xdrs, cp)
-	XDR *xdrs;
-	char *cp;
+xdr_char(
+	XDR *xdrs,
+	char *cp)
 {
 	int i;
@@ -404,7 +402,7 @@
  */
 bool_t
-xdr_u_char(xdrs, cp)
-	XDR *xdrs;
-	u_char *cp;
+xdr_u_char(
+	XDR *xdrs,
+	u_char *cp)
 {
 	u_int u;
@@ -422,7 +420,7 @@
  */
 bool_t
-xdr_bool(xdrs, bp)
-	XDR *xdrs;
-	bool_t *bp;
+xdr_bool(
+	XDR *xdrs,
+	bool_t *bp)
 {
 	long lb;
@@ -452,7 +450,7 @@
  */
 bool_t
-xdr_enum(xdrs, ep)
-	XDR *xdrs;
-	enum_t *ep;
+xdr_enum(
+	XDR *xdrs,
+	enum_t *ep)
 {
 #ifndef lint
@@ -484,8 +482,8 @@
  */
 bool_t
-xdr_opaque(xdrs, cp, cnt)
-	XDR *xdrs;
-	caddr_t cp;
-	u_int cnt;
+xdr_opaque(
+	XDR *xdrs,
+	caddr_t cp,
+	u_int cnt)
 {
 	u_int rndup;
@@ -536,9 +534,9 @@
  */
 bool_t
-xdr_bytes(xdrs, cpp, sizep, maxsize)
-	XDR *xdrs;
-	char **cpp;
-	u_int *sizep;
-	u_int maxsize;
+xdr_bytes(
+	XDR *xdrs,
+	char **cpp,
+	u_int *sizep,
+	u_int maxsize)
 {
 	char *sp = *cpp;  /* sp is the actual string pointer */
@@ -592,7 +590,7 @@
  */
 bool_t
-xdr_netobj(xdrs, np)
-	XDR *xdrs;
-	struct netobj *np;
+xdr_netobj(
+	XDR *xdrs,
+	struct netobj *np)
 {
 
@@ -612,10 +610,10 @@
  */
 bool_t
-xdr_union(xdrs, dscmp, unp, choices, dfault)
-	XDR *xdrs;
-	enum_t *dscmp;		/* enum to decide which arm to work on */
-	char *unp;		/* the union itself */
-	const struct xdr_discrim *choices;	/* [value, xdr proc] for each arm */
-	xdrproc_t dfault;	/* default xdr routine */
+xdr_union(
+	XDR *xdrs,
+	enum_t *dscmp,		/* enum to decide which arm to work on */
+	char *unp,		/* the union itself */
+	const struct xdr_discrim *choices,	/* [value, xdr proc] for each arm */
+	xdrproc_t dfault)	/* default xdr routine */
 {
 	enum_t dscm;
@@ -661,8 +659,8 @@
  */
 bool_t
-xdr_string(xdrs, cpp, maxsize)
-	XDR *xdrs;
-	char **cpp;
-	u_int maxsize;
+xdr_string(
+	XDR *xdrs,
+	char **cpp,
+	u_int maxsize)
 {
 	char *sp = *cpp;  /* sp is the actual string pointer */
@@ -728,7 +726,7 @@
  */
 bool_t
-xdr_wrapstring(xdrs, cpp)
-	XDR *xdrs;
-	char **cpp;
+xdr_wrapstring(
+	XDR *xdrs,
+	char **cpp)
 {
 	return xdr_string(xdrs, cpp, LASTUNSIGNED);
@@ -739,7 +737,7 @@
  */
 bool_t
-xdr_int64_t(xdrs, int64_p)
-	XDR *xdrs;
-	int64_t *int64_p;
+xdr_int64_t(
+	XDR *xdrs,
+	int64_t *int64_p)
 {
 	int64_t x;
@@ -766,7 +764,7 @@
  */
 bool_t
-xdr_u_int64_t(xdrs, uint64_p)
-	XDR *xdrs;
-	u_int64_t *uint64_p;
+xdr_u_int64_t(
+	XDR *xdrs,
+	u_int64_t *uint64_p)
 {
 	u_int64_t x;
Index: cpukit/librpc/src/xdr/xdr_array.c
===================================================================
--- cpukit/librpc/src/xdr/xdr_array.c	(revision 5426ceda121ea525684166c08450d4a4546141f9)
+++ cpukit/librpc/src/xdr/xdr_array.c	(revision a66bc0f761fcc23e27977921cfe583d1c9ba3e82)
@@ -59,11 +59,11 @@
  */
 bool_t
-xdr_array(xdrs, addrp, sizep, maxsize, elsize, elproc)
-	register XDR *xdrs;
-	caddr_t *addrp;		/* array pointer */
-	u_int *sizep;		/* number of elements */
-	u_int maxsize;		/* max numberof elements */
-	u_int elsize;		/* size in bytes of each element */
-	xdrproc_t elproc;	/* xdr routine to handle each element */
+xdr_array(
+	register XDR *xdrs,
+	caddr_t *addrp,		/* array pointer */
+	u_int *sizep,		/* number of elements */
+	u_int maxsize,		/* max numberof elements */
+	u_int elsize,		/* size in bytes of each element */
+	xdrproc_t elproc)	/* xdr routine to handle each element */
 {
 	register u_int i;
@@ -136,10 +136,10 @@
  */
 bool_t
-xdr_vector(xdrs, basep, nelem, elemsize, xdr_elem)
-	register XDR *xdrs;
-	register char *basep;
-	register u_int nelem;
-	register u_int elemsize;
-	register xdrproc_t xdr_elem;
+xdr_vector(
+	register XDR *xdrs,
+	register char *basep,
+	register u_int nelem,
+	register u_int elemsize,
+	register xdrproc_t xdr_elem)
 {
 	register u_int i;
Index: cpukit/librpc/src/xdr/xdr_float.c
===================================================================
--- cpukit/librpc/src/xdr/xdr_float.c	(revision 5426ceda121ea525684166c08450d4a4546141f9)
+++ cpukit/librpc/src/xdr/xdr_float.c	(revision a66bc0f761fcc23e27977921cfe583d1c9ba3e82)
@@ -115,7 +115,7 @@
 
 bool_t
-xdr_float(xdrs, fp)
-	register XDR *xdrs;
-	register float *fp;
+xdr_float(
+	register XDR *xdrs,
+	register float *fp)
 {
 #ifdef IEEEFP
@@ -222,7 +222,7 @@
 
 bool_t
-xdr_double(xdrs, dp)
-	register XDR *xdrs;
-	double *dp;
+xdr_double(
+	register XDR *xdrs,
+	double *dp)
 {
 #ifdef IEEEFP
Index: cpukit/librpc/src/xdr/xdr_reference.c
===================================================================
--- cpukit/librpc/src/xdr/xdr_reference.c	(revision 5426ceda121ea525684166c08450d4a4546141f9)
+++ cpukit/librpc/src/xdr/xdr_reference.c	(revision a66bc0f761fcc23e27977921cfe583d1c9ba3e82)
@@ -61,9 +61,9 @@
  */
 bool_t
-xdr_reference(xdrs, pp, size, proc)
-	register XDR *xdrs;
-	caddr_t *pp;		/* the pointer to work on */
-	u_int size;		/* size of the object pointed to */
-	xdrproc_t proc;		/* xdr routine to handle the object */
+xdr_reference(
+	register XDR *xdrs,
+	caddr_t *pp,		/* the pointer to work on */
+	u_int size,		/* size of the object pointed to */
+	xdrproc_t proc)		/* xdr routine to handle the object */
 {
 	register caddr_t loc = *pp;
@@ -118,9 +118,9 @@
  */
 bool_t
-xdr_pointer(xdrs,objpp,obj_size,xdr_obj)
-	register XDR *xdrs;
-	char **objpp;
-	u_int obj_size;
-	xdrproc_t xdr_obj;
+xdr_pointer(
+	register XDR *xdrs,
+	char **objpp,
+	u_int obj_size,
+	xdrproc_t xdr_obj)
 {
 
